---
name: Issue report
about: Create a report to help us improve
title: ''
labels: ''
assignees: ''

---

**Describe the issue**

A clear and concise description of what the issue is. Please don't include multiple problems in one issue, but rather create separate issues for them.

**Checklist**

Before posting an issue, please make sure you've checked the following checklist:

- Are you using the latest version of the module?
- Are you using any 3rd party modules that affect the checkout process and might be causing your issue?
- Have you written any customizations that affect the checkout process and might be causing your issue?
- Can you reproduce the issue in Magento's default checkout module?

**To Reproduce**

Please provide clear steps on how to reproduce the behavior. Also provide the following information:

- How is the module configured?
  - What checkout type are you using? (Hosted? Inline? Payment products in Magento checkout, input fields on Hosted Checkout?)
  - What capture mode are you using? (Delayed settlement? Direct capture?)
- Provide order details
  - Is it a guest checkout or a registered customer?
  - What's the country & currency?
  - What is the selected payment product?
- Platform information
  - What is the Magento version you're using?
  - Are you using any 3rd party modules that affect the checkout process?
  - Have you written any customizations that affect the checkout process?

**Expected behavior**

A clear and concise description of what you expected to happen.
